
Installer - Refactor #25966

only start Candlepin *after* Qpid queues are created

02/01/2019 03:53 PM - Evgeni Golov

Status: Closed   

Priority: High   

Assignee: Evgeni Golov   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 1.21.1, 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-ca

ndlepin/pull/129,

https://github.com/theforeman/puppet-kat

ello/pull/281

  

Description

Today, there is no ordering between the setup of Qpid (and its queues) and the setup of Candlepin. However, Candlepin requires

Qpid to be up and the queues to be created to properly work.

In the past (until Candlepin 2.5.9), if we would make a request to Candlepin (like GET /candlepin/admin/init) while the Qpid

connection wasn't set up yet, Candlepin would let that request wait and process it when the Qpid connection succeeded.

Starting with Candlepin 2.5.10, these requests will fail as Candlepin will be in SUSPEND mode and answer with a 503.

To make the installer more resilient, we should only start Candlepin after we have started Qpid and created all the queues.

Currently, the Katello 3.10 installer fails with Candlepin 2.5.11 with the following:

[ERROR 2019-01-31T09:50:47 verbose]  '/usr/bin/wget --no-proxy --timeout=30 --tries=40 --wait=20 -

-retry-connrefused -qO- http://localhost:8080/candlepin/admin/init > /var/log/candlepin/cpinit.log

 2>&1 && touch /var/lib/candlepin/cpinit_done' returned 8 instead of one of [0]

 And while the call to /admin/init is not necessary (and removed in 3.11), it would also fail when run_init is disabled and the installer

executes foreman-rake db:seed later on.

Associated revisions

Revision 5ef4f650 - 02/28/2019 11:19 AM - Evgeni Golov

Fixes #25966 - order all candlepin actions after qpid

this is required for Candlepin 2.5.10, see [1] for details

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1570534

History

#1 - 02/01/2019 03:59 PM - Evgeni Golov

- Description updated

#2 - 02/01/2019 04:03 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-candlepin/pull/129 added

#3 - 02/01/2019 04:05 PM - Evgeni Golov

- Description updated

#4 - 02/28/2019 08:10 AM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-katello/pull/281 added

#5 - 04/02/2019 07:06 PM - Tomer Brisker

- Fixed in Releases 1.21.1, 1.22.0 added

#6 - 04/11/2019 04:06 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed
